* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: #f5efe6;
    color: #3d342f;
    font-family: Arial;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px;
    background: #e8dccf;
    border-bottom: 1px solid #d8cbbd;
}

    nav a {
        color: white;
        text-decoration: none;
        margin-left: 20px;
    }

.logo {
    font-size: 30px;
    font-weight: bold;
    letter-spacing: 3px;
}

.container {
    padding: 40px;
}

.products {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(280px,1fr));
    gap: 25px;
    margin-top: 30px;
}

.card {
    background: #fffaf5;
    border: 1px solid #d8cbbd;
    padding: 20px;
    border-radius: 16px;
}

    .card img {
        width: 100%;
        height: 400px;
        object-fit: cover;
        border-radius: 12px;
    }

.btn {
    background: #000;
    color: white;
    padding: 14px 24px;
    text-decoration: none;
    border-radius: 8px;
    display: inline-block;
    margin-top: 15px;
}

input,
textarea,
select {
    width: 100%;
    padding: 18px;
    margin-top: 15px;
    border-radius: 10px;
    border: 1px solid #d8cbbd;
    background: #f5efe6;
    color: #3d342f;
    font-size: 16px;
}

button {
    border: none;
    cursor: pointer;
}

.product-details-page {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 50px;
    margin-top: 40px;
}

.product-images {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

    .product-images img {
        width: 100%;
        border-radius: 20px;
    }

.product-info h1 {
    font-size: 50px;
    margin-bottom: 15px;
}

.product-info h2 {
    margin-bottom: 20px;
}

.product-info p {
    line-height: 1.8;
    margin-bottom: 20px;
}

.size-chart {
    background: #f8f1e8;
    padding: 20px;
    border-radius: 12px;
    margin-top: 20px;
}

.cart-page {
    max-width: 1000px;
    margin: auto;
    padding: 40px 20px;
}

    .cart-page h1 {
        font-size: 60px;
        margin-bottom: 30px;
    }

.cart-item {
    display: flex;
    gap: 25px;
    align-items: center;
    background: #fffaf5;
    border: 1px solid #d8cbbd;
    border-radius: 20px;
    padding: 20px;
    margin-bottom: 20px;
}

    .cart-item img {
        width: 180px;
        height: 220px;
    }


.checkout-page {
    display: grid;
    grid-template-columns: 58% 42%;
    gap: 30px;
    max-width: 1400px;
    margin: 40px auto;
    padding: 20px;
    align-items: start;
}

.checkout-left,
.checkout-right {
    background: #fffaf5;
    padding: 35px;
    border-radius: 20px;
    border: 1px solid #d8cbbd;
}



    .checkout-left h1 {
        font-size: 55px;
        margin-bottom: 40px;
    }

    .checkout-left h2 {
        margin-top: 35px;
        margin-bottom: 10px;
        font-size: 22px;
    }

  

    .checkout-left input {
        width: 100%;
        padding: 18px;
        margin-top: 15px;
        border-radius: 10px;
        border: 1px solid #d8cbbd;
        background: #f5efe6;
        font-size: 16px;
    }

.card-row {
    display: flex;
    gap: 15px;
}

.payment-card {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 20px;
}



.pay-btn {
    width: 100%;
    background: black;
    color: white;
    padding: 18px;
    border: none;
    border-radius: 10px;
    margin-top: 30px;
    font-size: 16px;
    cursor: pointer;
}



.checkout-right h2 {
    font-size: 40px;
    margin-bottom: 30px;
}



.summary-product {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
    width: 100%;
}

    .summary-product img {
        width: 120px !important;
        height: 150px !important;
        object-fit: cover;
        border-radius: 12px;
        flex-shrink: 0;
        display: block;
    }

    .summary-product h3 {
        font-size: 18px;
        margin-bottom: 8px;
    }

    .summary-product p {
        margin-bottom: 5px;
        color: #6b5b50;
    }



.summary-item,
.summary-total {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
    font-size: 18px;
}

.summary-total {
    font-size: 24px;
    font-weight: bold;
}

.checkout-right hr {
    margin-top: 25px;
    border: none;
    border-top: 1px solid #d8cbbd;
}



.checkout-right {
    overflow: hidden;
}

body {
    overflow-x: hidden;
}



@media (max-width: 900px) {

    .checkout-page {
        grid-template-columns: 1fr;
    }

    .checkout-left h1 {
        font-size: 40px;
    }

    .checkout-right h2 {
        font-size: 30px;
    }

    .summary-product {
        flex-direction: row;
        align-items: center;
    }

        .summary-product img {
            width: 90px !important;
            height: 110px !important;
        }
}

@media (max-width: 600px) {

    .checkout-page {
        padding: 10px;
    }

    .checkout-left,
    .checkout-right {
        padding: 20px;
    }

    .card-row {
        flex-direction: column;
    }

    .summary-product {
        flex-direction: column;
        align-items: flex-start;
    }

        .summary-product img {
            width: 100% !important;
            max-width: 220px;
            height: auto !important;
        }
}

.login-page {
    max-width: 500px;
    margin: 80px auto;
    background: #fffaf5;
    padding: 40px;
    border-radius: 20px;
    border: 1px solid #d8cbbd;
}

.login-page h1 {
    font-size: 60px;
    margin-bottom: 30px;
}

.login-btn {
    width: 100%;
    background: black;
    color: white;
    padding: 18px;
    border: none;
    border-radius: 12px;
    font-size: 18px;
    margin-top: 25px;
    cursor: pointer;
    transition: 0.3s;
}

    .login-btn:hover {
        background: #3d342f;
    }

.signup-section {
    text-align: center;
    margin-top: 30px;
}

    .signup-section p {
        margin-bottom: 15px;
        color: #6b5b50;
        font-size: 18px;
    }

.signup-btn {
    display: inline-block;
    width: 100%;
    background: #e8dccf;
    color: #3d342f;
    padding: 16px;
    border-radius: 12px;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
    transition: 0.3s;
}

    .signup-btn:hover {
        background: #d8cbbd;
    }

.error-msg {
    color: red;
    margin-bottom: 15px;
}
.payment-card {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-top: 20px;
    padding: 18px;
    border: 1px solid #d8cbbd;
    border-radius: 12px;
    background: #f5efe6;
}

    .payment-card input[type="radio"] {
        width: 18px;
        height: 18px;
        accent-color: black;
        margin: 0;
    }

    .payment-card span {
        font-size: 16px;
    }


.checkout-btn {
    display: inline-block;
    width: 100%;
    text-align: center;
    background: black;
    color: white !important;
    padding: 18px;
    border-radius: 12px;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
    margin-top: 25px;
    transition: 0.3s;
}

    .checkout-btn:hover {
        background: #3d342f;
        transform: translateY(-2px);
    }


.hero {
    min-height: 90vh;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    padding: 60px 80px;
    background: #f5efe6;
    gap: 60px;
}

.hero-content {
    max-width: 500px;
}

.hero-tag {
    font-size: 18px;
    letter-spacing: 3px;
    text-transform: uppercase;
    color: #7a6a5c;
    margin-bottom: 20px;
}

.hero h1 {
    font-size: 110px;
    line-height: 1;
    margin-bottom: 25px;
    color: #3d342f;
}

.hero-description {
    font-size: 22px;
    line-height: 1.8;
    color: #6b5b50;
    margin-bottom: 40px;
}

.hero-btn {
    display: inline-block;
    background: black;
    color: white;
    padding: 20px 38px;
    border-radius: 14px;
    text-decoration: none;
    font-size: 18px;
    transition: 0.3s;
}

    .hero-btn:hover {
        background: #3d342f;
        transform: translateY(-3px);
    }

.hero-image {
    display: flex;
    justify-content: center;
}

    .hero-image img {
        width: 100%;
        max-width: 600px;
        height: 750px;
        object-fit: cover;
        border-radius: 30px;
        box-shadow: 0 20px 40px rgba(0,0,0,0.08);
    }



@media (max-width: 900px) {

    .hero {
        grid-template-columns: 1fr;
        text-align: center;
        padding: 40px 25px;
    }

        .hero h1 {
            font-size: 70px;
        }

    .hero-description {
        font-size: 18px;
    }

    .hero-image img {
        height: 500px;
    }
}


.confirmation-page {
    min-height: 90vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px;
}

.confirmation-box {
    background: #fffaf5;
    padding: 60px;
    border-radius: 30px;
    text-align: center;
    max-width: 650px;
    width: 100%;
    border: 1px solid #d8cbbd;
}

.success-icon {
    width: 100px;
    height: 100px;
    background: black;
    color: white;
    border-radius: 50%;
    font-size: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto 30px;
}

.confirmation-box h1 {
    font-size: 55px;
    margin-bottom: 20px;
}

.confirmation-box p {
    font-size: 18px;
    color: #6b5b50;
    margin-bottom: 15px;
}

.order-summary {
    background: #f5efe6;
    padding: 30px;
    border-radius: 20px;
    margin-top: 35px;
    margin-bottom: 35px;
}

    .order-summary h2 {
        margin-bottom: 20px;
    }

.continue-btn {
    display: inline-block;
    background: black;
    color: white;
    padding: 18px 35px;
    border-radius: 14px;
    text-decoration: none;
    font-size: 18px;
}




.admin-order {
    background: #fffaf5;
    border: 1px solid #d8cbbd;
    border-radius: 24px;
    padding: 35px;
    margin-top: 30px;
}

.admin-order-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
}

    .admin-order-header h2 {
        font-size: 38px;
        margin-bottom: 10px;
    }

    .admin-order-header p {
        color: #6b5b50;
    }

    .admin-order-header h3 {
        font-size: 30px;
    }



.admin-products {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.admin-product {
    display: flex;
    align-items: center;
    gap: 25px;
    background: #f5efe6;
    padding: 20px;
    border-radius: 20px;
}

    .admin-product img {
        width: 130px;
        height: 160px;
        object-fit: cover;
        border-radius: 14px;
        flex-shrink: 0;
    }

.admin-product-info h3 {
    font-size: 24px;
    margin-bottom: 12px;
}

.admin-product-info p {
    margin-bottom: 6px;
    color: #6b5b50;
    font-size: 17px;
}



.empty-orders {
    background: #fffaf5;
    padding: 35px;
    border-radius: 24px;
    border: 1px solid #d8cbbd;
    margin-top: 30px;
}

    .empty-orders h2 {
        margin-bottom: 10px;
    }


@media (max-width: 768px) {

    .admin-order-header {
        flex-direction: column;
        align-items: flex-start;
        gap: 15px;
    }

    .admin-product {
        flex-direction: column;
        align-items: flex-start;
    }

        .admin-product img {
            width: 100%;
            max-width: 250px;
            height: auto;
        }
}


.empty-cart {
    margin-top: 40px;
    background: #fffaf5;
    padding: 50px;
    border-radius: 24px;
    border: 1px solid #d8cbbd;
    max-width: 700px;
}

    .empty-cart h2 {
        font-size: 50px;
        margin-bottom: 30px;
    }



.empty-cart-btn {
    display: inline-block;
    background: black;
    color: white;
    padding: 18px 34px;
    border-radius: 14px;
    text-decoration: none;
    font-size: 18px;
    transition: 0.3s;
    margin-bottom: 35px;
}

    .empty-cart-btn:hover {
        background: #3d342f;
        transform: translateY(-2px);
    }



.login-reminder {
    border-top: 1px solid #d8cbbd;
    padding-top: 25px;
}

    .login-reminder p {
        margin-bottom: 15px;
        color: #6b5b50;
        font-size: 18px;
    }

.login-btn-cart {
    display: inline-block;
    background: #e8dccf;
    color: #3d342f;
    padding: 16px 28px;
    border-radius: 14px;
    text-decoration: none;
    font-size: 17px;
    font-weight: bold;
    transition: 0.3s;
}

    .login-btn-cart:hover {
        background: #d8cbbd;
    }


.signup-btn {
    display: inline-block;
    width: 100%;
    text-align: center;
    background: black;
    color: white !important;
    padding: 18px;
    border-radius: 14px;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
    margin-top: 15px;
    transition: 0.3s;
}

    .signup-btn:hover {
        background: #3d342f;
        transform: translateY(-2px);
    }

* {
    scroll-behavior: smooth;
}

body {
    line-height: 1.5;
}



nav {
    position: sticky;
    top: 0;
    z-index: 1000;
    backdrop-filter: blur(10px);
}

    nav a {
        transition: 0.3s;
        font-weight: 500;
    }

        nav a:hover {
            color: #3d342f;
        }


button,
.btn,
.hero-btn,
.checkout-btn,
.pay-btn,
.login-btn,
.signup-btn,
.empty-cart-btn,
.continue-btn {
    transition: 0.3s ease;
}

    button:hover,
    .btn:hover,
    .hero-btn:hover,
    .checkout-btn:hover,
    .pay-btn:hover,
    .login-btn:hover,
    .signup-btn:hover,
    .empty-cart-btn:hover,
    .continue-btn:hover {
        transform: translateY(-2px);
        box-shadow: 0 10px 20px rgba(0,0,0,0.08);
    }


input:focus,
textarea:focus,
select:focus {
    outline: none;
    border: 1px solid black;
    box-shadow: 0 0 0 4px rgba(0,0,0,0.05);
}


.card {
    transition: 0.3s;
}

    .card:hover {
        transform: translateY(-6px);
        box-shadow: 0 18px 35px rgba(0,0,0,0.08);
    }

   

    .card img,
    .product-images img,
    .summary-product img,
    .admin-product img {
        transition: 0.4s;
    }

    .card:hover img {
        transform: scale(1.03);
    }



.hero-image img {
    transition: 0.4s;
}

    .hero-image img:hover {
        transform: scale(1.02);
    }


section {
    margin-bottom: 40px;
}


.signup-submit-btn {
    width: 100%;
    background: black;
    color: white;
    padding: 18px;
    border: none;
    border-radius: 14px;
    font-size: 18px;
    font-weight: bold;
    margin-top: 25px;
    cursor: pointer;
    transition: 0.3s;
}

    .signup-submit-btn:hover {
        background: #3d342f;
        transform: translateY(-2px);
        box-shadow: 0 10px 20px rgba(0,0,0,0.08);
    }


.order-status {
    margin-top: 10px;
    font-weight: bold;
}

.status-dropdown {
    padding: 12px;
    border-radius: 10px;
    border: 1px solid #d8cbbd;
    margin-top: 20px;
    background: #fffaf5;
}

.status-btn {
    background: black;
    color: white;
    padding: 12px 18px;
    border-radius: 10px;
    border: none;
    margin-left: 10px;
    cursor: pointer;
}


.status-btn {
    background: black;
    color: white;
    border: none;
    padding: 14px 22px;
    border-radius: 12px;
    font-size: 15px;
    font-weight: bold;
    cursor: pointer;
    margin-top: 15px;
    transition: 0.3s;
}

    .status-btn:hover {
        background: #3d342f;
        transform: translateY(-2px);
        box-shadow: 0 10px 20px rgba(0,0,0,0.08);
    }


.status-dropdown {
    width: 220px;
    padding: 14px;
    border-radius: 12px;
    border: 1px solid #d8cbbd;
    background: #fffaf5;
    font-size: 15px;
    margin-top: 15px;
}
/* ADMIN PRODUCTS */

.admin-products-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 40px;
}

.add-product-btn {
    background: black;
    color: white;
    padding: 16px 22px;
    border-radius: 12px;
    text-decoration: none;
    font-weight: bold;
}

.admin-products-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px,1fr));
    gap: 30px;
}

.admin-product-card {
    background: #fffaf5;
    border-radius: 20px;
    padding: 20px;
    border: 1px solid #d8cbbd;
}

    .admin-product-card img {
        width: 100%;
        height: 320px;
        object-fit: cover;
        border-radius: 14px;
    }

.admin-product-actions {
    display: flex;
    gap: 15px;
    margin-top: 20px;
}

.edit-btn,
.delete-btn {
    flex: 1;
    text-align: center;
    padding: 14px;
    border-radius: 10px;
    text-decoration: none;
    font-weight: bold;
}

.edit-btn {
    background: black;
    color: white;
}

.delete-btn {
    background: #d9534f;
    color: white;
}
.admin-top-actions {
    display: flex;
    gap: 20px;
    margin: 30px 0;
}

.admin-action-btn {
    background: black;
    color: white;
    padding: 16px 24px;
    border-radius: 12px;
    text-decoration: none;
    font-weight: bold;
    transition: 0.3s;
}

    .admin-action-btn:hover {
        background: #3d342f;
        transform: translateY(-2px);
    }
/* OUT OF STOCK BUTTON */

.out-stock-btn {
    width: 100%;
    background: #b8b0a7;
    color: white;
    padding: 18px;
    border: none;
    border-radius: 12px;
    font-size: 16px;
    font-weight: bold;
    cursor: not-allowed;
    margin-top: 20px;
}